package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(value = "GoblinStoreMarketRelationVo", description = "前端用 商铺活动 关联 spu sku")
@Data
public class GoblinStoreMarketIsConfigVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 2353354057235207502L;
    @ApiModelProperty(position = 11, value = "spuId")
    private String spuId;
    @ApiModelProperty(position = 12, value = "spuId 活动")
    private String marketSpuId;

    private static final GoblinStoreMarketIsConfigVo obj = new GoblinStoreMarketIsConfigVo();
    public static GoblinStoreMarketIsConfigVo getNew() {
        try {
            return (GoblinStoreMarketIsConfigVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreMarketIsConfigVo();
        }
    }
}
